AutoCAD Inventor :: Mouse Selecting / Not Selecting?
May 15, 2012
OK, today, or actually just this afternoon I've noticed it has become much harder to select items with the mouse.
Points, nodes, etc...anything where you'd typically hover the mouse over the item and it highlights for you to select it.
For example, lets say you want to project a point from another sketch, or select the center node of a line, etc.
Never really had an issue until this afternoon where now it seems I have to be right on top of the item and I cannot budge one bit or it won't select it. It is now taking me numerous attempts to select things like points (zooming in does not work, points scale accordingly).
Is there a setting somewhere? I can't seem to find such under Tools>Application Options and the like.
How can I define a Point2D with my mouse by clicking on an random place in a drawingsheet?
I have made the code below that creates a DetailDrawingView automatic. I am now searching a method to select the oPoint & oCenterPoint with my mouse. Both are defined as Poin2D.
I find a lot a method's where you can manipulate the Point2D using maths but I never found a method where you can get the Point2D by just clicking somewhere on the sheet (drawingview).
Sub AutoDetailedView()' Set a reference to the drawing document. ' This assumes a drawing document is active. Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument 'Set a reference to the active sheet. Dim oSheet As Sheet Set oSheet = oDrawDoc.ActiveSheet ' Manually select a drawing view Dim oDrawingView As DrawingView [Code] ........
The issue I am having a problem with is a mouse cursor freeze when I select an object with no command active.When I select an object, the cursor will freeze for about a second before I can move it again. When I hit escape to de-select the object the same thing happens.
This is with Acad LT 2011. WinXP. Normal operation this computer runs ACAD quite fast, no particular lags or anything except maybe when selecting to copy or move very large groups of objects, or when switching between layouts or to model space when there is a fair amount of stuff in the layout, or when regen on a large file size.
This mouse cursor lag was not always the case, but at some point this problem appeared.I have tried save, regen, regenall, closing the drawing, exiting ACAD LT, rebooting the computer.
It's very irritating, since so much of using ACAD is clicking and doing things with the mouse, that it really slows down my production, to have to get a cup of coffee every time I do a select action with the mouse.About a week ago I installed the trial version of LT 2012 to see if it was different. When I opened the same dwg in 2012 there was no lag.
I then closed this and opened the dwg in 2011, and there was no lag. So it seems that the installation of the 2012 trial version changed something in the way 2011 operated.It has been operating fine now with no lag until this morning. Now I have the lag again.When I now open the same dwg in 2012, I now have this lag in 2012 as well.
I did not change any settings in 2012 or 2011 like hardware acceleration or whatever. I just suddenly had this lag, and now I can't seem to get rid of it. Attached is a file that was made by opening ACAD LT 2011 and drawing a few lines, then saving it. No template used.On my computer with this file, I get the mouse cursor lag when I select a line.
I am having a problem with a delay in selecting an object and selecting a command.
When I select an object the pointer has at least a 3 second delay before it starts moving around normally again. It is the same with selecting a command. This has started to get tedious. It has worked fine in the past so I don't think it is a RAM/graphics card problem.
Can not click on multiple objects or lines for erase,trim or extend commands. Is there a mode that I have turned on by accident , driver warning also comes up in trim offset command.
Its impossible for me to select those with the mouse. I think I tried everything, but still doesnt work. I have all my selection masks - ON, I have tried all the variations of the selecting tools settings. Reseted the settings, deleted the preffs folder, uninstalled Maya, reinstalled again. Problem persist on 2011 and 2012 versions.
I can select every other object (surface, curves, planes) except those poly things. The only way to select is right button - select all and then remove the unwanted from the mass selection. How to activate selection with mouse!
I experience a delay when i want to select a line or curve in a scetch, part or assembly. Normally when you move the cursor over a line it highlites red within a fraction of a second. Now it takes 3 or 4 seconds to be selected.
is it a wrong setting or a bug. Never had the problem before. Not in 2012 or in 2013.
I am trying to put a deck layout decal onto a surface. When selecting the decal command, inventor will only allow me to select the bottom surface and not the top one where I want the decal. is this achievable.
I can do it by flipping the normal and putting on a mirrored image for my decal but that seems like a lot of work
if you create a new part with a cube, sketch onto one of the surfaces and add an image, the decal will only attach to one of the availiable 2 surfaces
When using pack and go, is it possible to select several idw files at the same time? The some of the idw files is using the same parts, but many is not using the same parts. The parts that I want to copy by using pack and go is not in vault.
Autodesk Product Design Suite Ulitmate 2012 Sp1 / Vault Collaboration 2012 Sp1 HP EliteBook 8560w Intel(R)Core(TM) i7 CPU Q 720 @ 2,0GHz 2,0GHz 16GB RAM Windows 7 X64 SP1
I am making some iLogic automated parts which I want to save when I place them in an assembly.
Now I have the folder the file needs to be saved in allready specified in the simple code I wrote but I want to be able to browse the folders to select a specific one.
I run the code by activating it in a Form that pops up when you place the part in an assembly.
The simple save as code I wrote is as following:
Workspace = ThisDoc.WorkspacePath()If System.IO.File.Exists(Workspace & "Parts" & "Cable Tray-" & Partnumber & ".ipt") = True Theni = MessageBox.Show("The partnumber you chose is allready in use, choose an other number.", "Save Error", MessageBoxButtons.OK, MessageBoxIcon.Hand, MessageBoxDefaultButton.Button1)Else If System.IO.File.Exists(Workspace & "Parts" & "Cable Tray-" & Partnumber & ".ipt") = False ThenThisDoc.Document.SaveAs(Workspace & "Parts" & "Cable Tray-" & Partnumber & ".ipt", False)End If
How I can browse the folders to select the folder to save the part in when placing the part?
I don't know, what's the correct code, for getting the name of an assembly component by selecting it in the graphic window.The user should have the ability to slect an component and Inventor will give you the name of this component (filename, Screenname or whatever )
Inventor 2013: It seems that in this version, selecting profiles for extrusion is buggy. I have many times now (sketches based on either projected geometry, new sketches with all rectangles drawn, all lines, or rectangle with offset. ) been unable to choose the profile I wish. It seems there is some sort of Island detection (or lack of it) See attached. I wish to extrude the center rectangle only, but can not...
Every time I end up with either retracing the outlines or create another sketch on top of the complete extrusion and then subtract.
When I try to select several solids for an extrusion cut/interference I can do so fairly quickly by selecting all of them in the browser so long as the extrusion is set to "all" or "distance".
For some reason when I need to do a "to" or "between" I have to select them one at a time. Every time I select a solid the select solids options returns to the input so that I have to select one solid then press the "Solids" button and select another one. This tends to do the same thing if I create an extrusion and then want to later modify the solids taking part in the extrusion. Is there an option I can turn off?
Is there any way to give selection priority to real geometry instead of construction geometry? Every time I go to dimension or constrain IV wants to to pick the construction geometry first. I would like very much to change that.
Inventor Professional 2014 Windows 7, x64 Dual-core i7, 8GB RAM NVIDIA Quadro FX 880M HP Elitebook 8540w
I commonly need to select frame generator members to change visibility, etc. but since they are all contained in a single frame I need to do this in the browser. This can be difficult because I need to zoom in on the screen while having the section of the browser visible on screen at the same time. Is there a way that I can individually select each member in the assembly without using the browser?
Inventor 2013 Windows 7 Professional 64-bit SP1 HP EliteBook 8470w Processor: Intel(R) Core(TM) i7-3610QM CPU @ 2.30GHz Memory: 16 GB AMD FirePro M2000 3D Connexion SpacePilot
I use inventor 2013. Whenever I start a new sketch and select the top plane, the camera changes so I look at the top plane but also rotates 180degrees. I really hate that the camera rotates 180 degrees because it causes me to always see the drawing upside down (and then change the camera... every time...)
Is there a way to disallow inventor to cause this treason?
Is it possible to emboss multiple elements at once, without selecting each of them separately? I got over 2k elements on sketch which are needed to be embossed, it would be really pain to do it manually.
I'm trying to set up a company drawing sheet that requires the designer to select the sheet size before starting the drawing. Based on the drawing sheet size (A0, A1, A2, A3 & A4 all in landscape) the relevant company Title block will attach to the bottom right of the drawing border. I've manage to create the relevant forms for parts, sheet metal and assemblies.
But it seems that the onselect event only catches selection of drawing views or balloon, annotation etc, but not the component inside the drawing view is this intentional or a bug?
The reason i need to catch this is to make a new context menu action, so i need the selected item. I know i can use SelectionSet, but i want to be able to debug my application as an external application connecting to the running instance before i build it into an addin (saves me a lot of inventor restarts..) And Selection Set does not seem to work when i use it inside an event handler in an external application...
I`m having trouble selecting the correct constraints which will allow the pin to move up and down with in the guided slots.
Another issue i cannot seem to get perfect is the ends of the guide slots.I used fillet (fillet 2) but i do not think the pin will hot the top as there is a slope.Could the coil sketch be causing this problem.
Because my company is setup such that it has 3 companies operating under one roof and multiple MRP systems we have components that could have different part numbers depending on which company is in posession of it. As a design Engineer I need to be able to produce production drawings for all 3 divisions and provide production personnel the appropriate part #s for the items depending on where in the process the item is.
The Eng. Dept. acts across all companies the designs are controlled in a single place. I have created Custom Content Center Libraries for the different companies for standard items like nuts, bolts, etc...
How can I choose which Custom Conent Center Library my parts come from?
2013 Product Design Suite Ultimate Windows 7 Sp1 Intel(R) Core (TM) i5-2400 @ 2.00GHz 6.00 GB of RAM AMD Radeon HD 6570
I have a .idw that I'm trying to make a parts list on. I select parts list and highlight everything. There are two screws that are not showing up on the parts list. I cannot select them manually either. It's acting like they are not there. Even if I do a complete parts list (adding the assemblies parts into one big list), they still don't show up.
How can I select these parts? What is wrong with them that they do not show up in the parts list?
Any way to select an Invalid Xref that is attached on multiple layouts and delete them at once instead of going through every single layout and deleting it manually.
I am writing a code using VB.net and i am trying to select the profile using its name and i am always having an exception error
ed AsEditor = Application.DocumentManager.MdiActiveDocument.Editor() Dim mydoc AsDocument = Application.DocumentManager.MdiActiveDocument Dim mydb AsDatabase= mydoc.Database Dim mytrans AsTransaction = mydb.TransactionManager.StartTransaction Dim mycivil As CivilDocument= Autodesk.Civil.ApplicationServices.CivilApplication.ActiveDocument Try
I want to select all the objects in the drawing and then based on the linetype it should be moved to a specific layer.
I can do this per type (circle, line, etc) but that will be a hell of a job and a lot of code. In Vba I check inside the selection on linetype and then change it to the correct layer. But in .NET i don't figured out a way how to do it.
I have a need to delete all the tables in my drawing.
I started with the SS14 code from Jerry Winters VB.NET progamming and modified it to select tables. Unfortunately, when trying to select a table, the code does not work. I tried it with Polylines, block references, Mtext and it worked OK with all of them. See the code below:
<CommandMethod("SS14")> _ Public Sub SS14() Dim myDB As DatabaseServices.Database Dim myDWG As ApplicationServices.Document Dim myEd As EditorInput.Editor Dim myPSR As EditorInput.PromptSelectionResult Dim mySS As EditorInput.SelectionSet Dim myFilter(0) As DatabaseServices.TypedValue myFilter(0) = New DatabaseServices.TypedValue(DatabaseServices.DxfCode.Start, "INSERT") myFilter(0) = New DatabaseServices.TypedValue(DatabaseServices.DxfCode.Start, "TABLE") ' myFilter(0) = New DatabaseServices.TypedValue(DatabaseServices.DxfCode.Start, "POLYLINE") ' myFilter(0) = New DatabaseServices.TypedValue(DatabaseServices.DxfCode.Start, "MTEXT") '''' Chenge items commented out above for testing. Dim mySF As New EditorInput.SelectionFilter(myFilter) myDWG = ApplicationServices.Application.DocumentManager.MdiActiveDocument myDB = myDWG.Database myEd = myDWG.Editor myPSR = myEd.SelectAll(mySF) Try mySS = myPSR.Value If Not IsNothing(mySS) Then MsgBox(mySS.Count) End If Catch ex As SystemException MsgBox(Err.Description) End Try End Sub
What am I doing wrong? Or is there a bug when selecting "Tables" as distinct from other entities?
Before this problem appears, if I select one line then another line one-by-one, they are all selected.
But now, when I select one line then another line one-by-one, only last one is highlighted as selected (dashed line, two blue endpoints, and one blue middlepoint), the other one is not.
i need to use something with similar effect to Editor's method SelectCrossingWindow, but i need it to select object in Block Reference. How can i do that?
ex: an extruded rectangle intersects another one just at the end of the extrusion. I would like to extend it further but i'm not able to select the ">" grip. How can I do this without isolating objects, I need them to reference the length of the extension, and so on.